Bug 227674 - Review Request: methane - Super Methane Brothers
Review Request: methane - Super Methane Brothers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-07 09:58 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 03:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-02-07 09:58:23 EST
Spec URL: http://people.atrpms.net/~hdegoede/methane.spec
SRPM URL: http://people.atrpms.net/~hdegoede/methane-1.4.7-1.fc7.src.rpm
Description:
Super Methane Brothers is a platform game converted from the Amiga by
its original author. It is very similar to the Taito game "Bubble
Bobble".
Comment 1 Gwyn Ciesla 2007-02-07 16:02:34 EST
I got a strange error on my first build attempt that I've not been able to
replicate.  All subsequent attempts have been fine.  That aside. . .

[limb@zanoni SPECS]$ rpmlint -i ../RPMS/i386/methane-1.4.7-1.i386.rpm
E: methane non-standard-executable-perm /usr/bin/methane 02755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

E: methane zero-length /var/games/methanescores

rpmlint -i on the SRPM was clean.

Meets package naming guidelines.
Spec name is good.
Source md5 and SRPM tarball md5 match.

To Be Continued. . .

Comment 2 Gwyn Ciesla 2007-02-08 09:29:11 EST
Seems to meet packaging guidelines.
Licensing is good, copying is in %doc.
Spec is in Legible American English.
Builds on 1386.
Build Deps are good.
No locale info, OK.

To Be Continued. . .


Comment 3 Gwyn Ciesla 2007-02-08 09:30:20 EST
Got the build error again!

[limb@zanoni SPECS]$ rpmbuild -ba methane.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.66581
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /usr/src/redhat/BUILD
+ rm -rf methane-1.4.7
+ /bin/gzip -dc /usr/src/redhat/SOURCES/methane-1.4.7.tgz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd methane-1.4.7
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (methane-clanlib08.patch):'
Patch #0 (methane-clanlib08.patch):
+ patch -p1 -b --suffix .cl08 -s
+ echo 'Patch #1 (methane-highscore.patch):'
Patch #1 (methane-highscore.patch):
+ patch -p1 -b --suffix .highscore -s
+ echo 'Patch #2 (methane-fullscreen.patch):'
Patch #2 (methane-fullscreen.patch):
+ patch -p1 -b --suffix .fullscreen -s
++ find -type f
+ chmod -x ./install ./i_win32 ./install.sh ./history ./i_linux
./docs/potion.gif ./docs/zoom.gif ./docs/whirly.gif ./docs/spring.gif
./docs/gamepic.gif ./docs/puff.gif ./docs/backdrop.gif ./docs/turbo.gif
./docs/sucker.gif ./docs/title.gif ./docs/bug.gif ./docs/mbug.gif
./docs/block.gif ./docs/cookie.gif ./docs/gen.gif ./docs/spike.gif
./docs/info.html ./copying ./i_riscos ./source/suck.cpp ./source/game.cpp
./source/player.h ./source/misc.cpp ./source/riscos/swicalls.cpp
./source/riscos/extract ./source/riscos/swicalls.h ./source/riscos/doc.h
./source/riscos/doc.cpp ./source/riscos/makefile ./source/riscos/makeold
'./source/riscos/!run' './source/riscos/!sprites' './source/riscos/!boot'
./source/gfxoff.cpp ./source/player.cpp ./source/baddie.h ./source/game.h
./source/objlist.h ./source/bitgroup.h ./source/bititem.h
./source/data/gfxdata3.cpp ./source/data/snddata.cpp ./source/data/mapdata.cpp
./source/data/gfxdata.cpp ./source/data/gfxdata2.cpp ./source/global.h
./source/goodie.cpp ./source/maps.cpp ./source/snddef.h
./source/mikmod/audiodrv.h ./source/mikmod/audiodrv.cpp ./source/bititem.cpp
./source/target.cpp ./source/gasobj.h ./source/suck.h ./source/boss.h
./source/power.cpp ./source/weapon.cpp ./source/boss.cpp ./source/bitgroup.cpp
./source/target.h ./source/linux/main.cpp.highscore ./source/linux/main.cpp
./source/linux/makefile.cl08 ./source/linux/font32.cpp ./source/linux/doc.h
./source/linux/doc.cpp ./source/linux/main.cpp.fullscreen
./source/linux/makefile ./source/linux/font32.h ./source/linux/doc.cpp.highscore
./source/objtypes.h ./source/objlist.cpp ./source/gfxdef.h ./source/gasobj.cpp
./source/mapdef.h ./source/baddie.cpp ./source/global.cpp
./source/win32/mfc/methane.ico ./source/win32/mfc/frame.cpp
./source/win32/mfc/methane.sln ./source/win32/mfc/methane.dsp
./source/win32/mfc/methane.vcproj ./source/win32/mfc/help.h
./source/win32/mfc/methane.cpp ./source/win32/mfc/about.cpp
./source/win32/mfc/doc.h ./source/win32/mfc/doc.cpp ./source/win32/mfc/frame.h
./source/win32/mfc/methane.dsw ./source/win32/mfc/view.cpp
./source/win32/mfc/methane.rc ./source/win32/mfc/speed.h
./source/win32/mfc/methane.h ./source/win32/mfc/view.h
./source/win32/mfc/help.cpp ./source/win32/mfc/about.h
./source/win32/mfc/speed.cpp ./source/bitdraw.h ./source/sound.cpp
./source/power.h ./source/sound.h ./source/goodie.h ./source/misc.h
./source/bitdraw.cpp ./source/maps.h ./source/weapon.h ./todo ./authors ./readme
+ cat /usr/src/redhat/SOURCES/methane-help.desktop
+ sed s/version/1.4.7/
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.15963
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd methane-1.4.7
+ LANG=C
+ export LANG
+ unset DISPLAY
+ pushd source/linux
/usr/src/redhat/BUILD/methane-1.4.7/source/linux /usr/src/redhat/BUILD/methane-1.4.7
+ make -j2 'CXXFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables'
Compiling Super Methane Brothers.
  Compiling ../gfxoff.cpp...
=================================
  Compiling ../baddie.cpp...
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables `pkg-config --cflags clanCore-0.8 clanDisplay-0.8
clanApp-0.8 clanGL-0.8` -DMETHANE_MIKMOD `libmikmod-config --cflags` -I ../linux
-c ../gfxoff.cpp -o MainSource/gfxoff.o
mkdir: cannot create directory `MainSource': File exists
make: *** [MainSource/baddie.o] Error 1
make: *** Waiting for unfinished jobs....
error: Bad exit status from /var/tmp/rpm-tmp.15963 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.15963 (%build)
Comment 4 Hans de Goede 2007-02-08 09:35:31 EST
Ah, probably a smp build error, removing "%{?_smp_mflags}" from the make command
should fix this.
Comment 5 Gwyn Ciesla 2007-02-08 09:41:17 EST
It did.  You want a patch posted or just to alter your own copy of the .spec?
Comment 6 Gwyn Ciesla 2007-02-08 09:47:37 EST
No duplicate files, has a %clean section, perms look OK.
No wierd macros.
Code, not content.
No large or executable docs.
Has a .desktop file.
Seems to meet all MUSTS.
Comment 7 Gwyn Ciesla 2007-02-08 10:14:16 EST
Runs, as well.
Comment 8 Gwyn Ciesla 2007-02-08 10:18:57 EST
Will the smp build fix still work on uniprocessor machines?
Comment 9 Hans de Goede 2007-02-08 10:55:05 EST
(In reply to comment #8)
> Will the smp build fix still work on uniprocessor machines?

Yes, it will still work fine on uniprocessor machines. Do you want me to upload
a new spec + srpm without the spmflags, or do you trust me on my blue eyes that
I'll remove that before import and can you approve this?

If you approve this please also set the fedora-cvs flag at "?". CVS-admin's I
would like an FC-6 + devel tree only. I feel no need to release this for FC-5.
Comment 10 Gwyn Ciesla 2007-02-08 10:59:14 EST
I have blue eyes, too, but they're in a jar on my desk. ;)

I trust you.  APPROVED.
Comment 11 Warren Togami 2007-02-12 16:22:27 EST
fedora-cvs is set, but I don't see the other required info like branch names.
Comment 12 Hans de Goede 2007-02-14 02:18:01 EST
Its hidden at the end of comment 9:
"CVS-admin's I would like an FC-6 + devel tree only. I feel no need to release
this for FC-5."
Comment 13 Hans de Goede 2007-02-14 03:36:27 EST
Imported and build for FC-6 and devel, closing.

Note You need to log in before you can comment on or make changes to this bug.